<% @LANGUAGE = VBScript %>

<% 
   ' Fig. 25.22 : database.asp 
   ' ASP document for interacting with the database 
   Option Explicit

   Dim connection, loginData
   
   ' provide error handling code
   On Error Resume Next 
   Session( "errorString" ) = ""

   Set connection = Server.CreateObject( "ADODB.Connection" )
   Call connection.Open( "login" )
   Call errorHandlerLog()

   ' create the record set
   Set loginData = Server.CreateObject( "ADODB.Recordset" )
   Call loginData.Open( Session( "query" ), connection )
   Set Session( "loginData" ) = loginData

   Call errorHandlerLog()

   Sub errorHandlerLog()
      If Err.Number <> 0 Then
         Dim errorString

         errorString = Session( "errorString" )
         errorString = errorString & "<p class = " & _ 
            Chr( 34 ) & "error" & Chr ( 34 ) & ">Error (" _
            & Err.Number & ") in " & Err.Source & "<br />" & _
            Err.Description & "</p><br />"
         Session( "errorString" ) = errorString
      End If
   End Sub
%>


<% 
'************************************************************************** 
'* (C) Copyright 2002 by Deitel & Associates, Inc. and Prentice Hall.     *
'* All Rights Reserved.                                                   *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
%>