<% @LANGUAGE = VBScript %>

<% 
   ' Fig. 25.23 : login.asp 
   ' ASP document to login to instantpage.asp 
   Option Explicit
 
   ' create the SQL query
   Session( "query" ) = "SELECT loginID FROM Users"
   Call Server.Execute( "database.asp" )
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns = "http://www.w3.org/1999/xhtml">

   <head>
      <title>Login Page</title>

      <style type = "text/css">
         table { text-align: center; 
                 font-size: 12pt; 
                 color: blue;
                 font-size: 12pt; 
                 font-family: arial, sans-serif }
         .error { color: red }
      </style>

   </head>

   <body>

   <!-- #include virtual="/includes/header.shtml" -->
<% 
   If Session( "errorString" ) = "" Then
      ' if this is a return after a failed attempt,
      ' print an error
      If Session( "loginFailure" ) = True Then %>
         <p class = "error">Login attempt failed, 
                            please try again</p>
<%   End If

      ' begin the form %>
      <p>Please select your name and enter 
         your password to login:</p><br />

      <form action = "submitlogin.asp" method = "post">

         <!-- format the form using a table -->
         <table border = "0">
            <tr>
               <td>Name:</td>

               <td>
                  <select name = "loginID">
                     <option value = "noSelection">
                        Select your name</option>

<% 
   If Request.Cookies( "loginID" ) <> "" Then
      Call BuildReturning()
   Else
      Call BuildNewUser()
   End If
%>   
                  </select>
               </td>
            </tr>

            <tr>
               <td>Password:</td>
               <td><input type = "password" 
                          name = "password" /></td>
            </tr>

            <tr>
               <td></td>
               <td align = "left">
                  <input type = "submit" value = "Log Me In" />
               </td>
            </tr>
         </table>
      </form>

      <!-- #include virtual="/includes/footer.shtml" -->
<%
   Else
      Call Response.Write( Session( "errorString" ) )
   End If
%>
   </body>
</html>

<% 
   ' builds the option items for loginIDs and writes 
   ' selected for the loginID of the returning user
   Sub BuildReturning()     
      Dim found, loginData

      Set loginData = Session( "loginData" )
      
      ' pull user names from the record set to populate the
      ' dropdown list
      found = False 

      While Not loginData.EOF
         ' create this record's dropdown entry
%>       <option 
<%       ' if we did not write selected for any option 
         ' before 
         If ( Not found ) Then 
      
            ' if the current record's loginID is equal to 
            ' the loginID cookie, then it is the loginID of 
            ' the returning user, and thus we need to write
            ' selected for this option; in this case we also
            ' need to signal that we have written selected
            ' for an option by setting found to True. 
            If Request.Cookies( "loginID" ) _
                  = loginData( "loginID" ) Then
               Call Response.Write( "selected = " & _
                  Chr( 34 ) & "selected" & Chr( 34 ) )
               found = True
            End If
         End If    
%>       value = "<% =loginData( "loginID" ) %>">
         <% =loginData( "loginID" ) %></option>
<%       Call loginData.MoveNext()
      Wend 
   End Sub   

   ' builds the option items for loginIDs without writing 
   ' selected for any loginID
   Sub BuildNewUser()     
      Dim loginData

      Set loginData = Session( "loginData" )

      ' pull user names from the record set to populate the
      ' dropdown list
       While Not loginData.EOF
         ' Create this record's dropdown entry
%>       <option value = "<% =loginData( "loginID" ) %>">
         <% =loginData( "loginID" ) %></option>
<%       Call loginData.MoveNext()
      Wend
   End Sub   
%>


<% 
'************************************************************************** 
'* (C) Copyright 2002 by Deitel & Associates, Inc. and Prentice Hall.     *
'* All Rights Reserved.                                                   *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
%>