<% @LANGUAGE = VBScript %>

<% 
   ' Fig. 25.28 : component.asp 
   ' Demonstrating Server-side ActiveX Components 
   Option Explicit
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns = "http://www.w3.org/1999/xhtml">

   <head>
      <title>ActiveX Component Example</title>
   </head>

   <body>

      <strong style = "font-family: arial, sans-serif;">
         Server-side ActiveX Components
      </strong>

      <p>
<% 
   Dim rotator, browser, information, counter

   ' create an AdRotator object
   Set rotator = Server.CreateObject( "MSWC.AdRotator" )

   ' use config.txt to send an advertisement to the client
   Call Response.Write( _
      rotator.GetAdvertisement( "config.txt" ) )

   ' create an BrowserType object
   Set browser = Server.CreateObject( "MSWC.BrowserType" )

   If browser.VBScript = True Then
%>
      <script language = "VBScript">
         Call Msgbox( "Client browser supports VBScript!" )
      </script> 
<%
   End If

   If browser.JavaScript = True Then
%>
      <script language = "JavaScript">
         alert( "Client browser supports JavaScript!" );
      </script> 
<%
   End If

   ' get client's browser information
   information = "<p>Your browser information is:<br />" & _
      Request.ServerVariables( "HTTP_USER_AGENT" ) & _
      "<br />Browser: " & browser.Browser & " Version: " & _
      browser.Version & " Minor version: " & _
      browser.MinorVer & "<br />Cookies are "

   If browser.Cookies Then
      information = information & "enabled</p><br />"
   Else
      information = information & "disabled</p><br />"
   End If

   Call Response.Write( information )
%> 
   </body>
</html>

<% 
'************************************************************************** 
'* (C) Copyright 2002 by Deitel & Associates, Inc. and Prentice Hall.     *
'* All Rights Reserved.                                                   *
'*                                                                        *
'* DISCLAIMER: The authors and publisher of this book have used their     *
'* best efforts in preparing the book. These efforts include the          *
'* development, research, and testing of the theories and programs        *
'* to determine their effectiveness. The authors and publisher make       *
'* no warranty of any kind, expressed or implied, with regard to these    *
'* programs or to the documentation contained in these books. The authors *
'* and publisher shall not be liable in any event for incidental or       *
'* consequential damages in connection with, or arising out of, the       *
'* furnishing, performance, or use of these programs.                     *
'**************************************************************************
%>